# $Revision: 1.5 $, $Date: 2004/05/06 18:43:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Regexp
%define	pnam	Copy
Summary:	Regexp::Copy - copy Regexp objects
Summary(pl):	Regexp::Copy - kopiowanie obiektw Regexp
Name:		perl-Regexp-Copy
Version:	0.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d0f3875e0655c0ac9eb37813ec82c137
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp::Copy allows you to copy the contents of one Regexp object to
another. A problem that I have found with the qr// operator is that
the Regexp objects that it creates are is impossible to dereference.
This causes problems if you want to change the data in the regexp
without losing the reference to it. Its impossible. Regexp::Copy
allows you to change the Regexp by copying one object created through
qr// to another.

%description -l pl
Regexp::Copy pozwala na kopiowanie zawartoci jednego obiektu Regexp
do innego. Problem z operatorem qr// jest taki, e do obiektw przez
niego utworzonych nie mona siga. Powoduje to problemy, jeli chcemy
zmieni dane w wyraeniu bez utraty referencji do niego - jest to
niemoliwe. Regexp::Copy pozwala na modyfikowanie wyraenia
regularnego poprzez kopiowanie obiektu utworzonego przez qr// do
innego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%dir %{perl_vendorarch}/Regexp
%{perl_vendorarch}/Regexp/*.pm
%dir %{perl_vendorarch}/auto/Regexp/Copy
%{perl_vendorarch}/auto/Regexp/Copy/autosplit.ix
%{perl_vendorarch}/auto/Regexp/Copy/Copy.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Regexp/Copy/Copy.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Regexp-Copy.spec,v $
Revision 1.5  2004/05/06 18:43:21  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/29 20:18:23  ankry
- license cosmetics

Revision 1.3  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.2  2003/09/18 13:20:57  adamg
- updated to 0.06

Revision 1.1  2003/06/18 17:55:27  qboosh
- new

